Module java.base
Package java.lang.classfilePREVIEW

# Enum Class ClassFile.LineNumbersOption

java.lang.Object
java.lang.Enum<ClassFile.LineNumbersOptionPREVIEW>
java.lang.classfile.ClassFile.LineNumbersOption

All Implemented Interfaces:
  `Serializable`, `ClassFile.OptionPREVIEW`, `Comparable<ClassFile.LineNumbersOptionPREVIEW>`, `Constable`

Enclosing interface:
  `ClassFilePREVIEW`

public static enum ClassFile.LineNumbersOption extends Enum<ClassFile.LineNumbersOptionPREVIEW> implements ClassFile.OptionPREVIEW
`LineNumbersOption` is a preview API of the Java platform.
Programs can only use `LineNumbersOption` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Option describing whether to process or discard line numbers. Discarding line numbers may reduce the overhead of parsing or transforming classfiles. Default is `PASS_LINE_NUMBERS` to process line numbers.

Since:
  22

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DROP_LINE_NUMBERS`
  Drop line numbers
  `PASS_LINE_NUMBERS`
  Process line numbers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClassFile.LineNumbersOptionPREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClassFile.LineNumbersOptionPREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PASS_LINE_NUMBERS

    public static final ClassFile.LineNumbersOptionPREVIEW PASS_LINE_NUMBERS
    Process line numbers

  - ### DROP_LINE_NUMBERS

    public static final ClassFile.LineNumbersOptionPREVIEW DROP_LINE_NUMBERS
    Drop line numbers

- ## Method Details

  - ### values

    public static ClassFile.LineNumbersOptionPREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClassFile.LineNumbersOptionPREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null